Important Internet Security Message for DataTrace

12/23/19 2:09 PM Andrea Henney DataTrace, DataTrace System, DataTrace Gateway, TitleIQ 0 Comments

tls-bloghdr-700-279

ACTION REQUIRED

To continue delivering secure services to our customers, and to maintain compliance with industry governance and standards, DataTrace® Information Services will update to Transport Security Layer (TLS) 1.2 encryption protocol for all our products on January 3, 2020.

This means that you must be on the latest client version (2.51.36.09.148479 or higher) for DataTrace to function. If you are a DataTrace Gateway (DTG) or TitleIQ™ (TIQ) customer, you must leverage code libraries that support TLS 1.2.

Read More